## camel-search-sql-sexp

camel-search-sql-sexp

## Functions

gchar * | camel_sexp_to_sql_sexp ()

## Description

## Functions

### camel_sexp_to_sql_sexp ()

    gchar *
    camel_sexp_to_sql_sexp (const gchar *sexp);

Converts a search expression to an SQL 'WHERE' part statement, without the 'WHERE' keyword.

#### Parameters

sexp | a search expression to convert |

#### Returns

a newly allocated string, an SQL 'WHERE' part statement, or `NULL`, when could not convert it. Free it with `g_free()`, when done with it.

[transfer full][nullable]

Since: 2.26